Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 473450

Summary: gnome-base/gdm-3.8.0 - add journald USE flag
Product: Gentoo Linux Reporter: Nguyen Thai Ngoc Duy <pclouds>
Component: [OLD] GNOMEAssignee: Gentoo Linux Gnome Desktop Team <gnome>
Status: RESOLVED WONTFIX    
Severity: normal CC: systemd, tdalman, udev-bugs
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 463242    

Description Nguyen Thai Ngoc Duy 2013-06-16 04:09:49 UTC
gdm now defaults to log via systemd's journal instead of ~/.cache/gdm/session.log. --disable-systemd-journal could bring back the old behavior. I think a new use flag could be added for this.
Comment 1 Pacho Ramos gentoo-dev 2013-06-17 19:39:30 UTC
I still have logs in old location? :/

Please post emerge -pv gdm and emerge --info outputs
Comment 2 Nguyen Thai Ngoc Duy 2013-06-17 23:46:56 UTC
I think it only uses journal when systemd is used.

emerge -pv gdm


These are the packages that would be merged, in order:

Calculating dependencies  ... done!
[ebuild   R   #] gnome-base/gdm-3.8.0  USE="fallback gnome-shell introspection ipv6 systemd tcpd -accessibility -audit -consolekit -debug -fprint -ldap -plymouth (-selinux) -smartcard {-test} -xinerama" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB


emerge --info

Portage 2.1.11.50 (default/linux/amd64/13.0, gcc-4.6.3, glibc-2.16.0, 3.7.6-gentoo-lanh x86_64)
=================================================================
System uname: Linux-3.7.6-gentoo-lanh-x86_64-Intel-R-_Core-TM-_i5-2520M_CPU_@_2.50GHz-with-gentoo-2.2
KiB Mem:     3627616 total,    109848 free
KiB Swap:    3911820 total,   3903608 free
Timestamp of tree: Sun, 16 Jun 2013 04:00:01 +0000
ld GNU ld (GNU Binutils) 2.21.1
ccache version 3.1.7 [enabled]
app-shells/bash:          4.2_p37
dev-lang/python:          2.7.3-r2, 3.2.3
dev-util/ccache:          3.1.7
dev-util/cmake:           2.8.9
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.10.5
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.11.6, 1.12.6
sys-devel/binutils:       2.21.1-r1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r4::gnome
sys-kernel/linux-headers: 3.1 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo gnome bioinfoo sunrise gamerlay laptop
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -mtune=native -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -mtune=native -march=native"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs ccache config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.in.th/"
LANG="vi_VN.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/gnome /var/lib/layman/bioinfoo /var/lib/layman/sunrise /var/lib/layman/gamerlay /home/pclouds/w/pclouds-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X acl acpi alsa amd64 bash-completion berkdb branding bzip2 cairo cjk cli cracklib crypt cxx dbus dri fortran gdbm gnome gnome-keyring gpm gstreamer gtk gtk3 iconv introspection ipv6 jpeg keyring libnotify mad mmx modules mudflap multilib nautilus ncurses nls nptl ogg opengl openmp pam pcre png prolicykit readline session sse sse2 ssl systemd tcpd theora truetype udev unicode vorbis xv zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en vi ja" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby19 ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev vesa intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 3 Pacho Ramos gentoo-dev 2013-06-18 06:52:49 UTC
Then, you want it to not used journald when running systemd? (I thought systemd users would expect it to use journald)
Comment 4 Nguyen Thai Ngoc Duy 2013-06-18 07:38:51 UTC
(In reply to Pacho Ramos from comment #3)
> Then, you want it to not used journald when running systemd? (I thought
> systemd users would expect it to use journald)

I prefer plain text logs to some encrypted stuff that is journald. I have to install systemd because of logind for gnome 3.8.
Comment 5 Pacho Ramos gentoo-dev 2013-06-18 17:15:56 UTC
But are you RUNNING systemd or openrc? (even having it installed). Also, would like to CC systemd and udev people to know if we are willing to make journald usage configurable (as I don't know if people running systemd will want to disable journald)
Comment 6 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-06-18 17:28:14 UTC
People usually use USE=systemd for everything related to running systemd. I don't mind a new flag, however, as long as you make that every package using USE=systemd for journal is switched to it. I'm sorry but I don't have time to check that, and since lxnay left we're outnumbered.
Comment 7 Pacho Ramos gentoo-dev 2013-06-18 17:40:29 UTC
Not sure if I have fully understood you:
- Then, people using systemd USE flag should have journald enabled always?
Comment 8 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2013-06-18 18:01:00 UTC
I'm just saying that some people started to use USE=systemd for random things related to systemd. I'm fine with USE=journald or with USE=systemd, as long as it is consistently used throughout the tree.

And for systemd users, I think running it without journal right now is not really feasible.
Comment 9 Nguyen Thai Ngoc Duy 2013-06-18 23:35:28 UTC
(In reply to Pacho Ramos from comment #5)
> But are you RUNNING systemd or openrc?

Yes I'm running systemd (and journal will also be running, I don't see any option to turn it off).
Comment 10 Samuli Suominen (RETIRED) gentoo-dev 2013-06-19 05:28:38 UTC
IRC, #systemd, Freenode

20:19 < mardok45> Can you configure systemd to disable journald?
20:19 < falconindy> no
Comment 11 Tolga Dalman 2013-06-30 12:43:24 UTC
So, disabling journald in combination with systemd is not possible then ? I suggest to close this bug with RESOLVED/WONTFIX.
Comment 12 Pacho Ramos gentoo-dev 2013-07-14 13:20:24 UTC
(In reply to Tolga Dalman from comment #11)
> So, disabling journald in combination with systemd is not possible then ? I
> suggest to close this bug with RESOLVED/WONTFIX.